// AggDisp.h : Declaration of the CAggDisp

#ifndef __AGGDISP_H_
#define __AGGDISP_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CAggDisp
class CAtlAggDispCtrl; // Forward declaration
class ATL_NO_VTABLE CAggDisp : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CAggDisp, &CLSID_AggDisp>,
	public IDispatchImpl<IAggDisp, &IID_IAggDisp, &LIBID_ATLAGGDISPLib>
{
public:
	CAggDisp()
	{
		m_pCtrl=NULL;
	}
	CAtlAggDispCtrl* m_pCtrl;
DECLARE_REGISTRY_RESOURCEID(IDR_AGGDISP)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CAggDisp)
	COM_INTERFACE_ENTRY(IAggDisp)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IAggDisp
public:
	STDMETHOD(JustDoIt)(BSTR Msg);
};

#endif //__AGGDISP_H_
